/*
 * @Description: 
 * @Version: 1.0
 * @Autor: lishengyin
 * @Date: 2022-04-26 16:42:14
 * @LastEditors: lishengyin
 * @LastEditTime: 2022-06-27 16:58:59
 */
#include "KubeSphereTempalte.hpp"

/**
 * @description: ObjectToJson
 * @return {*}
 */
void KubeSphereTempalte::ObjectToJson(rapidjson::Writer<rapidjson::StringBuffer>& writer){
    writer.StartObject();

    writer.Key("CONTENTTYPE");
    writer.String(CONTENTTYPE.c_str());

    writer.Key("DATA");
    writer.String(DATA.c_str());

    writer.EndObject();
}

/**
 * @description: objectToJson
 * @param {string&} str
 * @return {*}
 */    
void KubeSphereTempalte::ObjectToJson(std::string& str) {
}

/**
 * @description: jsonToObject
 * @param {string&} json
 * @return {*}
 */    
bool KubeSphereTempalte::jsonToObject(const std::string& json) {
    return true;
}

/**
 * @description: jsonToObject
 * @param {Value&} object
 * @return {*}
 */    
bool KubeSphereTempalte::jsonToObject(const rapidjson::Value& object){
    return true;
}

/**
 * @description: ObjectToSql
 * @param {string&} sql
 * @return {*}
 */    
bool KubeSphereTempalte::ObjectToSql(std::string& sql) {
    return true;
}

/**
 * @description: ObjectToSql后处理
 * @param {string&} sql
 * @return {*}
 */ 
bool KubeSphereTempalte::ObjectToSqlBack(std::string & sql){
    return true;
}